/* Dies ist das Beispielprogramm xmhallo aus folgendem Buch:
 *
 *  Autoren: Hans-Joachim Brede, Nicolai Josuttis,
 *           Sabine Lemberg, Achim Loerke
 *  Titel:   Programmieren mit OSF/Motif Version 2
 *  Verlag:  Addison-Wesley, 2. voellig ueberarbeitete Auflage 1995
 *  ISBN:    3-89319-727-3
 *
 * Copyright 1995 by Hans-Joachim Brede, Nicolai Josuttis, Sabine Lemberg and
 * Achim Loerke.  All rights reserved.
 *
 * Permission to use, copy, modify and distribute this software for personal
 * and educational use is hereby granted without fee, provided that the above
 * copyright notice appear in all copies and that both that copyright notice
 * and this permission notice appear in supporting documentation, and that the
 * names of Addison-Wesley or the authors are not be used in advertising or
 * publicity pertaining to distribution of the software without specific,
 * written prior permission.  Addison-Wesley and the authors make no
 * representations about the suitability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 *
 * ADDISON-WESLEY AND THE AUTHORS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
 * SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS,
 * IN NO EVENT SHALL ADDISON-WESLEY OR THE AUTHORS BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
 * OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 *
 */

/* xmhallo: XmLabel-Widget erzeugen, in dem der Text "hallo"
 *          ausgegeben wird
 */

/* Allgemeine Header-Dateien einbinden
 */
#include <stdio.h>
#include <stdlib.h>
#include <Xm/Xm.h>

/* Header-Dateien fuer die verwendeten Widgetklassen einbinden
 */
#include <Xm/Label.h>

/* Klassenname der Applikation
 */
#define APPL_KLASSE    "XmHallo"


main (argc, argv)
int   argc;
char* argv[];
{
    XtAppContext kontext;        /* Applikations-Umgebung */
    Widget       applShell;      /* Applikations-Shell */

    /* Initialisierungen und Applikations-Shell erzeugen
     */
    applShell = XtAppInitialize (&kontext, APPL_KLASSE,
                                 (XrmOptionDescRec*)NULL, 0,
                                 &argc, argv,
                                 (String*)NULL, (Arg*)NULL, 0);

    /* XmLabel-Widget mit dem Namen "hallo" erzeugen
     * (der Name wird als Default-Label verwendet)
     */
    XtCreateManagedWidget ("hallo", xmLabelWidgetClass,
                           applShell, (Arg*)NULL, 0);

    /* Widgetbaum realisieren
     */
    XtRealizeWidget (applShell);

    /* Hauptschleife mit Ereignisbehandlung
     */
    XtAppMainLoop (kontext);
}

